Bug 1290262 - Cannot open VM details in virt-manager (vte namespace issue)
Summary: Cannot open VM details in virt-manager (vte namespace issue)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager
Version: 23
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-09 23:41 UTC by Mukundan Ragavan
Modified: 2015-12-31 00:54 UTC (History)
4 users (show)

Fixed In Version: virt-manager-1.3.2-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1351497 (view as bug list)
Environment:
Last Closed: 2015-12-31 00:54:49 UTC
Type: Bug


Attachments (Terms of Use)

Description Mukundan Ragavan 2015-12-09 23:41:27 UTC
After upgrading to virt-manager-1.3.1, I am unable to open details.

Attempting to open details fails with the following error message

Error launching details: Namespace Vte not available for version 2.91

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/engine.py", line 820, in _show_vm_helper
    details = self._get_details_dialog(uri, vm.get_connkey())
  File "/usr/share/virt-manager/virtManager/engine.py", line 798, in _get_details_dialog
    obj = vmmDetails(conn.get_vm(connkey))
  File "/usr/share/virt-manager/virtManager/details.py", line 362, in __init__
    from .console import vmmConsolePages
  File "/usr/share/virt-manager/virtManager/console.py", line 30, in <module>
    from .serialcon import vmmSerialConsole
  File "/usr/share/virt-manager/virtManager/serialcon.py", line 32, in <module>
    gi.require_version("Vte", "2.91")
  File "/usr/lib64/python2.7/site-packages/gi/__init__.py", line 106, in require_version
    (namespace, version))
ValueError: Namespace Vte not available for version 2.91


Downgrading to 1.2.1 fixes this issue.

Comment 1 Cole Robinson 2015-12-24 18:11:23 UTC
Thanks for the report, fixed upstream now

Comment 2 Fedora Update System 2015-12-24 19:02:31 UTC
virt-manager-1.3.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-237e1d49a8

Comment 3 Fedora Update System 2015-12-29 00:56:53 UTC
virt-manager-1.3.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-237e1d49a8

Comment 4 Mukundan Ragavan 2015-12-29 13:01:21 UTC
The issue reported here is fixed by the update. Thanks!

Comment 5 Fedora Update System 2015-12-31 00:54:23 UTC
virt-manager-1.3.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.